[TASK] Disallow Composer installation with PHP 7.x 07/46707/2
authorMathias Brodala <mbrodala@pagemachine.de>
Tue, 16 Feb 2016 11:29:59 +0000 (12:29 +0100)
committerChristian Kuhn <lolli@schwarzbu.ch>
Sat, 20 Feb 2016 11:49:53 +0000 (12:49 +0100)
TYPO3 6.2 is not compatible with PHP 7.x thus properly declare this
for Composer installations.

Resolves: #73480
Releases: 6.2
Change-Id: I857a07199109f63b51079094d035b6f1ab9efb52
Reviewed-on: https://review.typo3.org/46707
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Nicole Cordes <typo3@cordes.co>
Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>
Reviewed-by: Daniel Goerz <ervaude@gmail.com>
Tested-by: Daniel Goerz <ervaude@gmail.com>
Reviewed-by: Frank Naegler <frank.naegler@typo3.org>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
composer.json

index bbd1ceb..93f5462 100644 (file)
@@ -29,7 +29,7 @@
                "bin-dir": "bin"
        },
        "require": {
-               "php": ">=5.3.7",
+               "php": "^5.3.7",
                "ext-fileinfo": "*",
                "ext-pcre": "*",
                "ext-session": "*",
                        "TYPO3\\CMS\\Workspaces\\Tests\\": "typo3/sysext/workspaces/Tests/"
                }
        }
-}
\ No newline at end of file
+}